using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TypographyContracts.BindingModels;
using TypographyContracts.SearchModels;
using TypographyContracts.ViewModels;

namespace TypographyContracts.BusinessLogicsContracts
{
    public interface IPrintedLogic
    {
        List<PrintedViewModel>? ReadList(PrintedSearchModel? model);
        PrintedViewModel? ReadElement(PrintedSearchModel model);
        bool Create(PrintedBindingModel model);
        bool Update(PrintedBindingModel model);
        bool Delete(PrintedBindingModel model);
    }
}
